## ros-rolling-usb-cam 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(usb_cam)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

find_package(OpenCV REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(avcodec REQUIRED libavcodec)
pkg_check_modules(avutil REQUIRED libavutil)
pkg_check_modules(swscale REQUIRED libswscale)

if(EXISTS ${avcodec})
  message(STATUS "Found libavcodec: ${avcodec}")
endif()

if(EXISTS ${avutil})
  message(STATUS "Found libavutil: ${avutil}")
endif()

if(EXISTS ${swscale})
  message(STATUS "Found libswscale: ${swscale}")
endif()

## Build the USB camera library
## Do not use ament_auto here so as to not link to rclcpp
add_library(${PROJECT_NAME} SHARED
  src/usb_cam.cpp
)

target_include_directories(${PROJECT_NAME} PUBLIC
  "include"
)

target_link_libraries(${PROJECT_NAME}
  ${avcodec_LIBRARIES}
  ${avutil_LIBRARIES}
  ${swscale_LIBRARIES}
  ${OpenCV_LIBRARIES})

ament_export_libraries(${PROJECT_NAME})

## Declare a ROS 2 composible node as a library
ament_auto_add_library(${PROJECT_NAME}_node SHARED
  src/usb_cam_node.cpp
)

target_link_libraries(${PROJECT_NAME}_node
  ${PROJECT_NAME})

## Use node to generate an executable
rclcpp_components_register_node(${PROJECT_NAME}_node
  PLUGIN "usb_cam::UsbCamNode"
  EXECUTABLE ${PROJECT_NAME}_node_exe
)

if(SANITIZE)
  target_compile_options(${PROJECT_NAME} PUBLIC -fsanitize=address -fsanitize=leak)
  target_link_libraries(${PROJECT_NAME} -fsanitize=address -fsanitize=leak)
  target_compile_options(${PROJECT_NAME}_node PUBLIC -fsanitize=address -fsanitize=leak)
  target_link_libraries(${PROJECT_NAME}_node -fsanitize=address -fsanitize=leak)
  target_link_libraries(${PROJECT_NAME}_node_exe -fsanitize=address -fsanitize=leak)
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest)

  # Unit tests
  ament_add_gtest(test_usb_cam_utils
    test/test_usb_cam_utils.cpp)
  target_link_libraries(test_usb_cam_utils
    ${PROJECT_NAME})
  ament_add_gtest(test_pixel_formats
    test/test_pixel_formats.cpp)
  target_link_libraries(test_pixel_formats
    ${PROJECT_NAME})
  # TODO(flynneva): rewrite this test in another PR
  # Integration tests
  # ament_add_gtest(test_usb_cam_lib
  #  test/test_usb_cam_lib.cpp)
  # target_link_libraries(test_usb_cam_lib
  #   ${PROJECT_NAME})
endif()

install(
  PROGRAMS scripts/show_image.py
  DESTINATION lib/${PROJECT_NAME})

install(TARGETS
  ${PROJECT_NAME}
  ${PROJECT_NAME}_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib
)
ament_auto_package(
  INSTALL_TO_SHARE
    launch
    config
)

## ros-rolling-usb-cam 0.4.0

=== debian/changelog ===
ros-rolling-usb-cam (0.4.0-1focal) focal; urgency=high

  * bump version for ros2 first release
  * add galactic to ci, closes #157 <https://github.com/ros-drivers/usb_cam/issues/157>
    update camera name
  * Merge pull request #158 <https://github.com/ros-drivers/usb_cam/issues/158> from wep21/feature/add_camera_info
    Feature/add camera info
  * Add sample camera info yaml
  * Add camera info
  * Merge pull request #156 <https://github.com/ros-drivers/usb_cam/issues/156> from wep21/feature/composable_node
  * Make usb_cam_node composable
  * Merge pull request #153 <https://github.com/ros-drivers/usb_cam/issues/153> from flynneva/lint/make-utils-file
  * add utils file, fix lint errors
  * Merge pull request #151 <https://github.com/ros-drivers/usb_cam/issues/151> from flynneva/fix/remove-boost
  * replace boost lexical_cast with snprintf
  * Merge pull request #149 <https://github.com/ros-drivers/usb_cam/issues/149> from flynneva/fix/update-readme
    fix readme headers
  * fix readme headers
  * Merge pull request #148 <https://github.com/ros-drivers/usb_cam/issues/148> from flynneva/update-ros2-readme-and-lint
    Update ros2 readme and lint
  * fix most lint errors
  * update readme, fix linter errors
  * Merge pull request #146 <https://github.com/ros-drivers/usb_cam/issues/146> from flynneva/ros2-clean-up
    Ros2 clean up
  * fix show_image script lag
  * run, launch and params file working
  * add service, install launch, separate header
  * Merge pull request #139 <https://github.com/ros-drivers/usb_cam/issues/139> from flynneva/cmake-cleanup
    consolidate srcs, use ament_auto macros, closes #138 <https://github.com/ros-drivers/usb_cam/issues/138>
  * consolidate srcs, use ament_auto macros, closes #137 <https://github.com/ros-drivers/usb_cam/issues/137> #138 <https://github.com/ros-drivers/usb_cam/issues/138>
  * Merge pull request #132 <https://github.com/ros-drivers/usb_cam/issues/132> from flynneva/foxy
    updates for foxy
  * add myself to authors
  * fixing lint errors
  * add ros2 github actions
  * minor updates to foxy
  * adding launch file
    try to fix low framerate #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    add ros parameters
    loading more parameters from parameter server #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    use argparse to get arguments from command line
    untested correction to args
    ignore unknown args
    set proper default device and look for more bad return values
    trying to find why framerate is limited to about 8 fps
    framerate ok for low-exposure settings
    print list of valid formats #105 <https://github.com/ros-drivers/usb_cam/issues/105>
  * use the v4l2_buffer timestamp if available. #75 <https://github.com/ros-drivers/usb_cam/issues/75>
    usb_cam.cpp is building but untested #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    Builds but crashes immediately after running
    data is getting published, no image shown
    image shown, frame rate is very slow #103 <https://github.com/ros-drivers/usb_cam/issues/103>
  * move the timestamping closer to when the image was acquired. #75 <https://github.com/ros-drivers/usb_cam/issues/75>
  * Merge pull request #136 <https://github.com/ros-drivers/usb_cam/issues/136> from flynneva/patch-1
    add myself as a maintainer for ros2
  * add myself as a maintainer for ros2
  * Merge pull request #124 <https://github.com/ros-drivers/usb_cam/issues/124> from k-okada/add_noetic
    add noetic .travis.yml
  * add noetic .travis.yml
  * Contributors: Evan Flynn, Kei Okada, Lucas Walter, flynneva, wep21

 -- Evan Flynn <evanflynn.msu@gmail.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-rolling-usb-cam (0.3.7-1focal) focal; urgency=high

  * ROS2 version

 -- Evan Flynn <evanflynn.msu@gmail.com>  Mon, 29 Oct 2018 07:00:00 -0000

ros-rolling-usb-cam (0.3.6-1focal) focal; urgency=high

  * .travis.yml: udpate to trusty
  * add AV_ prefix to PIX_FMT_* for X,Y (#71 <https://github.com/ros-drivers/usb_cam/issues/71>)
  * Contributors: Kei Okada

 -- Evan Flynn <evanflynn.msu@gmail.com>  Thu, 15 Jun 2017 07:00:00 -0000

ros-rolling-usb-cam (0.3.5-1focal) focal; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#69 <https://github.com/ros-drivers/usb_cam/issues/69>)
  * support for Kinetic / Ubuntu 16.04 (#58 <https://github.com/ros-drivers/usb_cam/issues/58>)
    * replace use of deprecated functions in newer ffmpeg/libav versionsffmpeg/libav 55.x (used in ROS Kinetic) deprecated the avcodec_alloc_frame.
  * Add grey scale pixel format. (#45 <https://github.com/ros-drivers/usb_cam/issues/45>)
  * add start/stop capture services (#44 <https://github.com/ros-drivers/usb_cam/issues/44> )
    * better management of start/stop
    * up package.xml
    * add capture service
  * fix bug for byte count in a pixel (3 bytes not 24 bytes) (#40 <https://github.com/ros-drivers/usb_cam/issues/40> )
  * Contributors: Daniel Seifert, Eric Zavesky, Kei Okada, Ludovico Russo, Russell Toris, honeytrap15

 -- Evan Flynn <evanflynn.msu@gmail.com>  Wed, 14 Jun 2017 07:00:00 -0000

ros-rolling-usb-cam (0.3.4-1focal) focal; urgency=high

  * Installs launch files
  * Merge pull request #37 from tzutalin/develop
    Add a launch file for easy test
  * Add a launch file for easy test
  * Contributors: Russell Toris, tzu.ta.lin

 -- Evan Flynn <evanflynn.msu@gmail.com>  Tue, 18 Aug 2015 07:00:00 -0000

ros-rolling-usb-cam (0.3.3-1focal) focal; urgency=high

  * Merge pull request #36 from jsarrett/develop
    add gain parameter
  * add gain parameter
  * Contributors: James Sarrett, Russell Toris

 -- Evan Flynn <evanflynn.msu@gmail.com>  Thu, 14 May 2015 07:00:00 -0000

ros-rolling-usb-cam (0.3.2-1focal) focal; urgency=high

  * Merge pull request #34 from eliasm/develop
    fixed check whether calibration file exists
  * fixed check whether calibration file exists
  * Contributors: Elias Mueggler, Russell Toris



=== debian/control ===
Source: ros-rolling-usb-cam
Section: misc
Priority: optional
Maintainer: Evan Flynn <evanflynn.msu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-rolling-ament-cmake-auto, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-camera-info-manager, ros-rolling-image-transport, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, v4l-utils, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/usb_cam
Standards-Version: 3.9.2

Package: ros-rolling-usb-cam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-rolling-builtin-interfaces, ros-rolling-camera-info-manager, ros-rolling-image-transport, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rosidl-default-runtime, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, v4l-utils, ros-rolling-ros-workspace
Description: A ROS2 Driver for V4L USB Cameras

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-usb-cam//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-usb-cam 0.7.0

=== debian/changelog ===
ros-rolling-usb-cam (0.7.0-1jammy) jammy; urgency=high

  * Fix mjpeg invalid ptr and mjpeg memory leak
  * Allocate unique avpacket for each frame
  * Fix some minor memorly leaks for mjpeg
    Relates to #262 <https://github.com/ros-drivers/usb_cam/issues/262>
  * Update docs to new launch file name
    Closes #277 <https://github.com/ros-drivers/usb_cam/issues/277>
  * Only unref packet in destructor
    Closes #274 <https://github.com/ros-drivers/usb_cam/issues/274> #275 <https://github.com/ros-drivers/usb_cam/issues/275>
  * Enable manaul trigger of ROS 2 CI, add Iron, deprecate Foxy
  * Add Iron to CI, remove Foxy
  * Enable manaul trigger of ROS 2 CI
  * Fix memory leaks in mjpeg2rgb conversion
  * Add SANITIZE option to package to help with debugging, document it
  * Fix memory leaks caused by buffer allocation by using smart pointers
  * Fix linter errors
  * Update params2 file for second camera
  * Fixed wrong image timestamp due to missing handling of microseconds in epoch time shift
  * Removed debug output of timestamp
  * Fixed wring image timestamp due to missing handling of microseconds in epoch time shift.
  * Address multiple memory leak issues after ros2 rewrite
  * Remove EOL Galactic distro from CI
  * Address multiple memory leak issues after ros2 rewrite
  * Create CameraConfig class, use it in launch file
  * imports no longer needed.
  * Multiple cameras + compression
  * Remove debug print accidentally added
  * Clean up ROS 2 node, update parameter logic
  * Contributors: Boitumelo Ruf, Brendon Cintas, Evan Flynn

 -- Evan Flynn <evanflynn.msu@gmail.com>  Wed, 30 Aug 2023 07:00:00 -0000

ros-rolling-usb-cam (0.6.0-1jammy) jammy; urgency=high

  * If auto exposure is true, set it
  * Migrate previous pixel formats to new approach
    - Add M4202RGB pixel format (aka YUV420 to RGB8)
    - Add Y102MONO8 pixel format (aka MONO10 to MONO8)
  * Update documentation related to supported formats
    - update doc strings in new pixel format base class
  * Fix linter errors, clean up tests
    - fix humble and rolling build
  * Implement new pixel_format class structure
    - implement virtual convert method for new pixel format class
    - fix MJPEG2RGB conversion logic using new pixel format class
  * Fix typo in workspace path in README
  * fix whitespace around comments
  * fix unused variable error
  * possible fix for timestamp jumping
  * fix code style
  * dont change brightness with default config
  * use v4l2  for "brightness", "contrast", "saturation", "sharpness", "gain", "auto_white_balance",
    "white_balance", "autoexposure", "exposure", "autofocus", "focus"
  * Contributors: Evan Flynn, john

 -- Evan Flynn <evanflynn.msu@gmail.com>  Sun, 02 Apr 2023 07:00:00 -0000

ros-rolling-usb-cam (0.5.0-1jammy) jammy; urgency=high

  * Merge pull request #212 <https://github.com/flynneva/usb_cam/issues/212> from flynneva/203-refactor-usb-cam-library-with-no-ros-deps
    Improve ros2 rewrite some more
  * Ensure usb_cam lib and node are installed
  * Add missing include to test_usb_cam_lib
  * Rename format enums to make code easier to read
  * Make supported formats a member variable of the UsbCam class
  * Adjust get_image method to return image to reduce required args
  * Use unused arguments in MJPEG2RGB conversion function
  * Treat all compiler warnings as errors to be more strict
  * Improve logging errors for usb_cam lib
  * Fix opencv include path
  * Merge pull request #210 <https://github.com/flynneva/usb_cam/issues/210> from revanthsenthil/ros2
    ROS 2 installation instruction typo fix
  * Merge branch 'ros-drivers:ros2' into ros2
  * Merge pull request #209 <https://github.com/flynneva/usb_cam/issues/209> from flynneva/203-refactor-usb-cam-library-with-no-ros-deps
    Refactor usb cam library with no ros deps
  * Update README.md
    resolved error with apt-get from apt get
  * Add back in missing copyrights
  * Improve supported formats method for UsbCam object
  * Fix MJPEG2RGB conversion function
  * Enable code coverage using lcov
  * Add integration test for usb_cam lib
  * Clean up usb_cam lib, remove rclcpp dep
  * Bump default framerate to 30hz
  * Improve CLIPVALUE method, add unit test for it
  * Fix humble CI name
  * Add some basic unit tests to usb_cam
  * Remove ROS dep from usb_cam by rewriting timestamping of frames
  * Restructure usb_cam code into more digestible pieces
  * Merge pull request #207 <https://github.com/flynneva/usb_cam/issues/207> from flynneva/fix-compiler-warnings
    Fix compiler warnings, replace deprecated code
  * Add basic linters to CMake, fix linter errors found
  * Fix compiler warnings, replace deprecated code
  * Merge pull request #206 <https://github.com/flynneva/usb_cam/issues/206> from flynneva/ros2
    Add humble to CI
  * Add humble to CI
  * Merge pull request #177 <https://github.com/flynneva/usb_cam/issues/177> from benmaidel/feature/YUV420_ros2
    [ros2] add support for YUV420 (yu12) pixel format
  * Merge pull request #193 <https://github.com/flynneva/usb_cam/issues/193> from mad0x60/patch-1
  * update the deprecated uncompressed command
    The current ros2 image decompression command produces the following warning because it is deprecated:
    [WARN] [1662133933.155713605] [rcl]: Found remap rule 'in/compressed:=image_raw/compressed'. This syntax is deprecated. Use '--ros-args --remap in/compressed:=image_raw/compressed' instead.
    [WARN] [1662133933.155877454] [rcl]: Found remap rule 'out:=image_raw/uncompressed'. This syntax is deprecated. Use '--ros-args --remap out:=image_raw/uncompressed' instead.
    This change update to match the most recent ROS2 format
  * Merge pull request #189 <https://github.com/flynneva/usb_cam/issues/189> from flynneva/ros2
    Suppress libav deprecated pixel format used warnings (backport from #…
  * Suppress libav deprecated pixel format used warnings (backport from #115 <https://github.com/flynneva/usb_cam/issues/115>)


=== debian/control ===
Source: ros-rolling-usb-cam
Section: misc
Priority: optional
Maintainer: Evan Flynn <evanflynn.msu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-rolling-ament-cmake-auto, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-camera-info-manager, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-image-transport-plugins, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, v4l-utils, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/usb_cam
Standards-Version: 3.9.2

Package: ros-rolling-usb-cam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-rolling-builtin-interfaces, ros-rolling-camera-info-manager, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-image-transport-plugins, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rosidl-default-runtime, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, v4l-utils, ros-rolling-ros-workspace
Description: A ROS 2 Driver for V4L USB Cameras

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
